## qtbase-opensource-src-gles 5.12.4+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.12.4+dfsg-1build1) eoan; urgency=medium

  * Rebuild against new libdouble-conversion3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Aug 2019 08:36:39 +0200

qtbase-opensource-src-gles (5.12.4+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.12.4+dfsg-4 upload.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Jul 2019 23:29:22 +0300

qtbase-opensource-src (5.12.4+dfsg-4) experimental; urgency=medium

  * Mark libqxcb-glx-integration.so and the corresponding CMake file as
    not installed on armel and armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Jul 2019 22:35:09 +0300

qtbase-opensource-src (5.12.4+dfsg-3) experimental; urgency=medium

  * Backport upstream patch to fix Qt WebEngine segfault with multiple
    screens and HighDPI scaling (hidpi_crash.diff).
  * Install most of the CMake files for plugins. Third-party software
    can use these plugins to detect presence of certain features in Qt
    (e.g. Qt WebKit uses it to detect X11 support). Skip SQL plugins and
    theme plugins, to avoid introducing new dependencies for qtbase5-dev.
  * Make debian/libqt5gui5.install a bit more verbose.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Jul 2019 14:28:13 +0300

qtbase-opensource-src (5.12.4+dfsg-2) experimental; urgency=medium

  * Bump ABI version to qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jun 2019 23:37:50 +0300

qtbase-opensource-src (5.12.4+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Split the single doc-base file into per-submodule files.

  [ Dmitry Shachnev ]
  * New upstream release.
    - Added an X11 system tray watcher (closes: #867794).
  * Drop the two big-endian patches, both applied upstream.
  * Build-Depend-Indep on individual qdoc-qt5, qhelpgenerator-qt5 and
    qtattributionsscanner-qt5 packages, instead of qttools5-doc-tools.
  * Fix a typo in patch name (breachs → breaches).
  * Backport upstream patch to fix notification of QDockWidget when it gets
    undocked (needed for Krita).
  * Install two new files.
  * Update Homepage URL (use the page the old URL redirects to).
  * Update Upstream-Name and Source headers in debian/copyright (closes:
    #916556).
  * Update symbols files from buildds’ and the current build logs.
  * Backport four upstream commits to fix various errors from qdoc.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Jun 2019 17:46:27 +0300

qtbase-opensource-src (5.12.3+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop glesv2_absolute.diff, included in the new release.
  * Drop revert_remove_our_use_of_syscall_for-statx.patch, no longer
    needed with the new version (see QTBUG-74526).
  * Install some new winrt-msvc2019 mkspecs.
  * Update debian/libqt5gui5.symbols from the current build log.
  * Bump ABI version to qtbase-abi-5-12-3.
  * Backport upstream patch to fix an endianness issue in TinyCBOR.
  * Fix Perl shebang also in findclasslist.pl.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Apr 2019 22:51:39 +0300

qtbase-opensource-src (5.12.2+dfsg-4) experimental; urgency=medium

  * Build-depend on libxcb-xinput-dev, to fix mouse events handling.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Apr 2019 13:36:04 +0300

qtbase-opensource-src (5.12.2+dfsg-3) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Add a patch to make qt_is_ascii function work properly on big endian.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Apr 2019 22:10:34 +0300

qtbase-opensource-src (5.11.3+dfsg1-2) unstable; urgency=medium

  * Backport upstream patch to add support for non-PPD printers and avoid
    silent fallback to a printer supporting PPD (closes: #911844).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jun 2019 18:22:58 +0300

=== debian/control ===
Source: qtbase-opensource-src-gles
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper (>= 11),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.17.14),
               firebird-dev [kfreebsd-any linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any kfreebsd-any],
               libgles2-mesa-dev | libgles2-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev (>= 1.6.0~),
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libqt5core5a (>= 5.12.2),
               libqt5dbus5 (>= 5.12.2),
               libqt5network5 (>= 5.12.2),
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.15.17~),
               publicsuffix,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5gui5-gles
Architecture: any
Conflicts: libqt5gui5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme
Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
Suggests: qt5-image-formats-plugins, qtwayland5
Description: Qt 5 GUI module — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.
 .
 This package provides a version of Qt GUI library built against OpenGL ES,
 for use on embedded/mobile devices.

Package: qtbase5-gles-dev
Architecture: any
Conflicts: qtbase5-dev
Multi-Arch: same
Section: libdevel
Depends: libgles2-mesa-dev | libgles2-dev,
         libqt5concurrent5 (>= ${source:Upstream-Version}),
         libqt5core5a (>= ${source:Upstream-Version}),
         libqt5dbus5 (>= ${source:Upstream-Version}),
         libqt5gui5-gles (= ${binary:Version}),
         libqt5network5 (>= ${source:Upstream-Version}),
         libqt5printsupport5 (>= ${source:Upstream-Version}),
         libqt5sql5 (>= ${source:Upstream-Version}),
         libqt5test5 (>= ${source:Upstream-Version}),
         libqt5widgets5 (>= ${source:Upstream-Version}),
         libqt5xml5 (>= ${source:Upstream-Version}),
         libvulkan-dev [linux-any],
         libxext-dev,
         qt5-qmake (>= ${source:Upstream-Version}),
         qtbase5-dev-tools (>= ${source:Upstream-Version}),
         qtchooser,
         ${misc:Depends}
Recommends: libqt5opengl5-dev (>= ${source:Upstream-Version})
Suggests: default-libmysqlclient-dev,
          firebird-dev,
          libegl1-mesa-dev,
          libgl1-mesa-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Breaks: qt5-qmake (<< 5.11.3+dfsg-3~),
        qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
Replaces: qt5-qmake (<< 5.11.3+dfsg-3~),
          qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
Description: Qt 5 base development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.
 .
 Normally you should use the qtbase5-dev package. Use this one only if
 your software supports only OpenGL ES or if you want to make use of some
 OpenGL ES specific API.
 .
 If you are interested in packaging Qt 5 stuff please take a look at
 https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html

Package: qtbase5-private-gles-dev
Architecture: any
Conflicts: qtbase5-private-dev
Multi-Arch: same
Section: libdevel
Depends: libinput-dev [linux-any],
         libxkbcommon-dev,
         qtbase5-gles-dev (= ${binary:Version}),
         ${misc:Depends}
Breaks: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
Replaces: qt5-qmake (<< 5.11.3+dfsg-3~), qtbase5-dev (<< 5.11.2+dfsg-4~)
Description: Qt 5 base private development files — OpenGL ES variant
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin.
 .
 Normally you should use qtbase5-dev or qtbase5-private-dev package. Use this
 one only if your software supports only OpenGL ES or if you want to make use
 of some OpenGL ES specific API. Use at your own risk.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

# Use already defined upstream version as DEB_VERSION_UPSTREAM.
include /usr/share/dpkg/pkg-info.mk

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config

# Upstream changelog
upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')

ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
	extra_configure_opts += -no-eglfs
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
ifeq ($(DEB_HOST_ARCH),ia64)
	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
endif

# Compile without sse2 support on i386
# Do not use pre compiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	platform_arg = linux-g++
else ifeq ($(DEB_HOST_ARCH_OS),hurd)
	platform_arg = hurd-g++
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	platform_arg = gnukfreebsd-g++
else
	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
	        ./configure \
	            -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-doubleconversion \
	            -system-pcre \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -no-directfb \
	            -no-use-gold-linker \
	            -opengl es2 \
	            $(extra_configure_opts) \
	            $(cpu_opt) \
	            QMAKE_CFLAGS="$(CFLAGS)" \
	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
	            QMAKE_LFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  plugins/ \
	;

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name lib\*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name lib\*.so \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

	# Generated on build
	rm -vf debian/stamp-makefile-build-tools

	# more leftovers
	rm -f .device.vars .qmake.vars

override_dh_auto_build-arch:
	# Bootstrap corelibs in order to be able to build the helper tools to
	# regenerate some upstream-provided files.
	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
	# Add here the code to generate the helpers and then the headers.
	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
	# Rebuild only the object file that used the generated header.
	rm src/corelib/.obj/qtldurl.o
	dh_auto_build -- sub-src

override_dh_auto_install-arch:
	INSTALL_ROOT=$(CURDIR)/debian/tmp $(MAKE) \
		install_mkspecs \
		sub-src-install_subtargets \
		sub-doc-install_subtargets

ifeq ($(DEB_HOST_ARCH_CPU),i386)
	# Rebuild the necessary libs with SSE2 support.
	# Create the destination directory.
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# corelib needs make clean first to be able to rebuild.
	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# gui on turn doesn't needs it, and actually fails if done.
	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
endif

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Use multiarched directory for host_bins variable (see #909575)
	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc

	# Remove leftover directories
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name .rcc \
	\) -print0 | xargs -0 rm -rf

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# A user of Qt built by a distro doesn't need to find where the plugins
	# are via CMake, so don't install them.
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Gui/Q*ThemePlugin.cmake
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Sql/Q*DriverPlugin.cmake

	# There is also no need to install libQtBootstrap. As it's name indicates it's
	# only used to bootstrap qt.
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5Bootstrap*

## qtbase-opensource-src-gles 5.12.5+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.12.5+dfsg-1) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.12.5+dfsg-2 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 18:24:59 +0300

qtbase-opensource-src (5.12.5+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Add support for PostgreSQL 12 (closes: #941763).
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 22:33:00 +0300

qtbase-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * Merge 5.11.3+dfsg1-3 and -4 uploads from unstable.
  * New upstream release.
  * Drop hidpi_crash.diff, applied in the new release.
  * Refresh debian/patches/docs_fixes.diff.
  * Add two new files to debian/qt5-qmake.install.
  * Update symbols files from the current build logs.
  * Bump ABI version to qtbase-abi-5-12-5.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2019 10:35:33 +0300

qtbase-opensource-src (5.11.3+dfsg1-4) unstable; urgency=medium

  * Backport upstream patch to fix build with GCC 9 (closes: #925812).
  * Backport upstream patch to silence some GCC 9 warnings.
  * Update debian/libqt5network5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Aug 2019 17:15:39 +0300

qtbase-opensource-src (5.11.3+dfsg1-3) unstable; urgency=medium

  * Tell dh_strip_nondeterminism to ignore .png files (closes: #934215).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Aug 2019 14:21:20 +0300

=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
                publicsuffix,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

## qtbase-opensource-src-gles 5.12.8+dfsg

=== tests/auto/cmake/CMakeLists.txt ===

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) cmake ..      # Run cmake on this directory.
# 4) ctest         # Run ctest
#
# The expected output is something like:
#
#       Start  1: test_use_modules_function
#  1/11 Test  #1: test_use_modules_function ........   Passed    3.36 sec
#       Start  2: test_wrap_cpp_and_resources
#  2/11 Test  #2: test_wrap_cpp_and_resources ......   Passed    1.41 sec
#       Start  3: test_dependent_modules
#  3/11 Test  #3: test_dependent_modules ...........   Passed    2.22 sec
#       Start  4: test_add_resource_options
#  4/11 Test  #4: test_add_resource_options ........   Passed    0.16 sec
#       Start  5: test_wrap_cpp_options
#  5/11 Test  #5: test_wrap_cpp_options ............   Passed    0.36 sec
#       Start  6: test_needsquoting_dirname
#  6/11 Test  #6: test_needsquoting_dirname ........   Passed    2.20 sec
#       Start  7: test_platform_defs_include
#  7/11 Test  #7: test_platform_defs_include .......   Passed    0.28 sec
#       Start  8: test_qtmainwin_library
#  8/11 Test  #8: test_qtmainwin_library ...........   Passed    1.27 sec
#       Start  9: test_dbus_module
#  9/11 Test  #9: test_dbus_module .................   Passed    3.46 sec
#       Start 10: test_multiple_find_package
# 10/11 Test #10: test_multiple_find_package .......   Passed    0.07 sec
#       Start 11: test_add_resources_delayed_file
# 11/11 Test #11: test_add_resources_delayed_file ..   Passed    0.38 sec
#
#
# Note that if Qt is not installed, or if it is installed to a
# non-standard prefix, the environment variable CMAKE_PREFIX_PATH
# needs to be set to the installation prefix or build prefix of Qt
# before running these tests.

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

expect_pass(test_use_modules_function)
expect_pass(test_umbrella_config)
expect_pass(test_wrap_cpp_and_resources)
if (NOT NO_WIDGETS)
    expect_pass(test_dependent_modules)
    expect_pass("test(needsquoting)dirname")
endif()
expect_fail(test_add_resource_options)
expect_fail(test_wrap_cpp_options)
expect_pass(test_platform_defs_include)
expect_pass(test_qtmainwin_library)

if (HAVE_NINJA)
    make_directory("${CMAKE_CURRENT_SOURCE_DIR}/test_QFINDTESTDATA/build")
    add_test(test_QFINDTESTDATA ${CMAKE_CTEST_COMMAND}
      --build-and-test
      "${CMAKE_CURRENT_SOURCE_DIR}/test_QFINDTESTDATA"
      # Build in a subdir of the source dir.
      # This causes Ninja to use relative paths.
      "${CMAKE_CURRENT_SOURCE_DIR}/test_QFINDTESTDATA/build"
      --build-generator Ninja
      --build-options "-DCMAKE_PREFIX_PATH=${CMAKE_PREFIX_PATH}"
    )
    add_test(NAME run_test_QFINDTESTDATA COMMAND sh -c "cd \"${CMAKE_SOURCE_DIR}/test_QFINDTESTDATA/build/tests\" && ./test_QFINDTESTDATA -v2")

    set_property(TEST run_test_QFINDTESTDATA
        PROPERTY DEPENDS test_QFINDTESTDATA
    )
endif()

if (NOT NO_DBUS)
    expect_pass(test_dbus_module)
endif()
expect_pass(test_multiple_find_package)
expect_pass(test_add_resources_delayed_file)
expect_pass(test_add_binary_resources_delayed_file BINARY test_add_binary_resources_delayed_file)
expect_pass(test_private_includes)
expect_pass(test_private_targets)
expect_pass(test_testlib_definitions)
expect_pass(test_json_plugin_includes)

expect_fail(test_testlib_no_link_gui)
execute_process(COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_gui/test_testlib_no_link_gui/"
)

if (NOT NO_WIDGETS)
    expect_fail(test_testlib_no_link_widgets)
    execute_process(COMMAND ${CMAKE_COMMAND} -E copy
        "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
        "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_widgets/test_testlib_no_link_widgets/"
    )
endif()

set(qt_module_includes
  Core QObject
  Network QHostInfo
  Sql QSqlError
  Test QTestEventList
  Xml QDomDocument
)

if (NOT NO_GUI)
  list(APPEND qt_module_includes
    Gui QImage
  )
endif()

if (NOT NO_WIDGETS)
  list(APPEND qt_module_includes
    Widgets QWidget
    OpenGL QGLBuffer
    PrintSupport QPrinter
  )
endif()

if (NOT NO_DBUS)
  list(APPEND qt_module_includes
    DBus QDBusMessage
  )
endif()

test_module_includes(
  ${qt_module_includes}
)
expect_pass(test_concurrent_module)
expect_pass(test_openglextensions_module)
if (QT_WITH_ANGLE OR (NOT WIN32 AND NOT APPLE AND NOT NO_EGL))
    expect_pass(test_egl_lib)
endif()
expect_pass(test_opengl_lib)

if (NOT NO_WIDGETS)
    expect_pass(test_interface)
endif()

expect_pass(test_interface_link_libraries)
expect_pass(test_moc_macro_target)

if (NOT CMAKE_VERSION VERSION_LESS 3.9)
    # The modification of TARGET_OBJECTS needs the following change in cmake
    # https://gitlab.kitware.com/cmake/cmake/commit/93c89bc75ceee599ba7c08b8fe1ac5104942054f
    expect_pass(test_add_big_resource)
endif()

if (NOT CMAKE_VERSION VERSION_LESS 3.8)
    # With earlier CMake versions, this test would simply run moc multiple times and lead to:
    # /usr/bin/ld: error: CMakeFiles/mywidget.dir/mywidget_automoc.cpp.o: multiple definition of 'MyWidget::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)'
    # /usr/bin/ld: CMakeFiles/mywidget.dir/moc_mywidget.cpp.o: previous definition here
    # Reason: SKIP_* properties were added in CMake 3.8 only
    expect_pass(test_QTBUG-63422)
endif()

=== debian/changelog ===
qtbase-opensource-src-gles (5.12.8+dfsg-0ubuntu1) focal; urgency=medium

  * Merge qtbase-opensource-src 5.12.8+dfsg-0ubuntu1 upload.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 11:39:26 +0300

qtbase-opensource-src (5.12.8+dfsg-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Drop patches, included in the new release:
    - uic_global_includes.diff
    - CVE-2020-0569.diff
    - CVE-2020-0570.diff
    - CVE-2015-9541.diff
  * Refresh other patches.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Bump ABI version to qtbase-abi-5-12-8.
  * Bump Build-Depends-Indep to 5.12.8.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 09 Apr 2020 10:57:56 +0300

qtbase-opensource-src (5.12.5+dfsg-9build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:50:35 +0100

qtbase-opensource-src (5.12.5+dfsg-9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to add an expansion limit for XML entities
    (CVE-2015-9541, closes: #951066).
    - Add two new symbols to debian/libqt5core5a.symbols.

  [ Helmut Grohne ]
  * qmake cross wrapper should pass QMAKE_STRIP. (Closes: #950507)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Feb 2020 16:52:19 +0300

qtbase-opensource-src-gles (5.12.5+dfsg-2) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.12.5+dfsg-8 upload.
    - Fixes FTBFS (closes: #952000).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Feb 2020 18:26:25 +0300

qtbase-opensource-src (5.12.5+dfsg-8) unstable; urgency=medium

  * Revert adding alternative qtbase5-gles-dev dependencies:
    - For qtbase5-private-dev: it is wrong, those who need private headers
      and OpenGL ES specific API should use qtbase5-private-gles-dev, not
      qtbase5-private-dev.
    - For libqt5opengl5-dev: it does not help, libqt5opengl5 uses desktop
      OpenGL specific symbols, so it is not installable with libqt5gui5-gles.
  * Remove explicit libqt5gui5 | libqt5gui5-gles dependencies from the
    platformtheme packages. Rely on ${shlibs:Depends} instead.
  * Override the remaining version-substvar-for-external-package error.
  * Backport fixes for two vulnerabilities:
    - CVE-2020-0569: Do not load plugin from the CWD.
    - CVE-2020-0570: Qt tries to load invalid library from CWD.
  * Make Qt 5 the default configuration in qtchooser, by installing the
    qt-default/qtchooser/default.conf symlink in libqt5core5a package.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Jan 2020 00:03:38 +0300

qtbase-opensource-src (5.12.5+dfsg-7) unstable; urgency=medium

  * Changeless upload to allow arch:all binary packages being built after
    passing NEW queue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jan 2020 09:08:39 -0300

qtbase-opensource-src (5.12.5+dfsg-6) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Split the doxygen .tags files into a new qtbase5-doc-dev package,
    see #922707.
  * Make relevant development packages depend upon
    qtbase5-dev | qtbase5-gles-dev. This allows building packages with either of
    them (Closes: #949028).

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #876131)
    + Pass --external-hostbindir to use the native qmake.
    + Pass a cross platform_arg.
    + Verify that the qmake self-dependency exactly matches the version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Jan 2020 14:54:20 -0300

qtbase-opensource-src (5.12.5+dfsg-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Limit the libdrm-dev build dependency as linux-any, as it is only useful
    on Linux. (Closes: #947675)

  [ Dmitry Shachnev ]
  * Backport upstream patch to add RISC-V detection.
  * Update debian/libqt5network5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 31 Dec 2019 14:19:15 +0300

qtbase-opensource-src (5.12.5+dfsg-4) unstable; urgency=medium

  * Build-depend on libdrm-dev and libxcb-glx0-dev, to fix FTBFS.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Dec 2019 00:28:25 +0300

qtbase-opensource-src (5.12.5+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix uic handling of .ui files with global
    includes. Thanks to Alexander Volkov for the pointer!
  * Stop depending on libgl1-mesa-dev and libgles2-mesa-dev, which are
    transitional packages in mesa ≥ 19.3.0~rc6-1.
  * Also make qtbase5-dev explicitly depend on libegl-dev (closes: #947117).
  * Move the compatibility symlinks from qtbase5-dev-tools to qtbase5-dev
    (closes: #939653).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Dec 2019 14:30:03 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtbase-opensource-src-gles
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -19,10 +20,11 @@
                libcups2-dev,
                libdbus-1-dev,
                libdouble-conversion-dev,
+               libdrm-dev [linux-any],
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
-               libgles2-mesa-dev | libgles2-dev,
+               libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -36,15 +38,16 @@
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.12.2),
-               libqt5dbus5 (>= 5.12.2),
-               libqt5network5 (>= 5.12.2),
+               libqt5core5a (>= 5.12.8+dfsg~),
+               libqt5dbus5 (>= 5.12.8+dfsg~),
+               libqt5network5 (>= 5.12.8+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
                libvulkan-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
+               libxcb-glx0-dev,
                libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
@@ -66,9 +69,10 @@
                libxrender-dev,
                pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
+               qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git -b gles/master
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -99,7 +103,8 @@
 Conflicts: qtbase5-dev
 Multi-Arch: same
 Section: libdevel
-Depends: libgles2-mesa-dev | libgles2-dev,
+Depends: libegl-dev,
+         libgles-dev,
          libqt5concurrent5 (>= ${source:Upstream-Version}),
          libqt5core5a (>= ${source:Upstream-Version}),
          libqt5dbus5 (>= ${source:Upstream-Version}),
@@ -119,14 +124,14 @@
 Recommends: libqt5opengl5-dev (>= ${source:Upstream-Version})
 Suggests: default-libmysqlclient-dev,
           firebird-dev,
-          libegl1-mesa-dev,
-          libgl1-mesa-dev,
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
 Breaks: qt5-qmake (<< 5.11.3+dfsg-3~),
+        qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
         qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
 Replaces: qt5-qmake (<< 5.11.3+dfsg-3~),
+          qtbase5-dev-tools (<< 5.12.5+dfsg-3~),
           qtbase5-private-gles-dev (<< 5.12.2+dfsg-1~)
 Description: Qt 5 base development files — OpenGL ES variant
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -45,14 +45,17 @@
 	cpu_opt = -no-sse2 -no-pch
 endif
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	platform_arg = linux-g++
-else ifeq ($(DEB_HOST_ARCH_OS),hurd)
-	platform_arg = hurd-g++
-else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-	platform_arg = gnukfreebsd-g++
-else
-	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
+mkspec_osmap_kfreebsd = gnukfreebsd
+platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
+platform_arg = $(platform_os)-g++
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+platform_arg = $(platform_os)-$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_LIBC)$(filter-out base,$(DEB_HOST_ARCH_ABI))-g++
+endif
+
+# Refuse cross building with a qmake whose version differs from the package.
+ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
+extra_configure_opts += -external-hostbindir /usr/lib/qt5/bin
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -65,6 +68,9 @@
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
+ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
+	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
+endif
 	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
 	        ./configure \
 	            -confirm-license \
@@ -237,10 +243,3 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 	# A user of Qt built by a distro doesn't need to find where the plugins
-	# are via CMake, so don't install them.
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Gui/Q*ThemePlugin.cmake
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Sql/Q*DriverPlugin.cmake
-
-	# There is also no need to install libQtBootstrap. As it's name indicates it's
-	# only used to bootstrap qt.
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5Bootstrap*

## qtbase-opensource-src-gles 5.14.2+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.14.2+dfsg-3) unstable; urgency=medium

  * Merge qtbase-opensource-src 5.14.2+dfsg-3 upload.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:28:41 +0300

qtbase-opensource-src (5.14.2+dfsg-3) unstable; urgency=medium

  * Build with -no-feature-relocatable, to fix paths on usr-merged systems
    (closes: #961554).
  * Update debian/libqt5core5a.symbols for hurd-i386.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:21:08 +0300

qtbase-opensource-src-gles (5.14.2+dfsg-2) experimental; urgency=medium

  * Bump qtbase build-dependencies to 5.14.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 May 2020 13:39:43 +0300

qtbase-opensource-src-gles (5.14.2+dfsg-1) experimental; urgency=medium

  * Merge qtbase-opensource-src 5.14.2+dfsg-2 upload.
  * Override version-substvar-for-external-package Lintian errors.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 May 2020 18:26:25 +0300

qtbase-opensource-src (5.14.2+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Add the libkrb5-dev build dependency to support SPNEGO/GSSAPI authentication
    in QtNetwork.
  * Explicitly add the pkg-config build dependency, as right now it is pulled
    by other packages.
  * Avoid two unconditional PATH_MAX occurrences to build on Hurd; patches
    path_max.diff, and qstorageinfo_linux.diff.
  * Install the QtInputSupport development files on any architecture, as it is
    built not only on Linux.
  * Mark few Linux-only symbols as linux-any.

  [ Dmitry Shachnev ]
  * Mark QStringRef::compare symbol as optional=inline (closes: #957730).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Apr 2020 14:44:22 +0300

qtbase-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * Merge 5.12.5+dfsg-10 upload from unstable.
  * Drop armv4.diff. The armel baseline is armv5te now (see #882174).
  * New upstream release.
  * Drop debian/patches/md4c_private.diff, applied upstream.
  * Refresh debian/patches/CVE-2015-9541.diff.
  * Update debian/libqt5gui5.symbols from ia64 buildd’s log.
  * Backport upstream patch fixing QLibrary deadlock affecting Krita.
  * Bump ABI version to qtbase-abi-5-14-2.
  * Drop unused Lintian override for libqt5core5a package.
  * Remove build paths from prl files, for reproducible builds.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Apr 2020 20:50:59 +0300

qtbase-opensource-src (5.14.1+dfsg-3) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Make qtbase5-private-dev depend upon libfontconfig1-dev as expected by
    Qt5FontDatabaseSupportConfig.cmake.

  [ Dmitry Shachnev ]
  * Make libmd4c a private dependency of Qt GUI.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Feb 2020 00:26:25 +0300

qtbase-opensource-src (5.14.1+dfsg-2) experimental; urgency=medium

  * Update debian/libqt5core5a.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Feb 2020 11:34:34 +0300

qtbase-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump ABI version to qtbase-abi-5-14-1.
    - Bump Build-Depends-Indep versions.
  * Remove patches already applied upstream:
    - mysql_free_results_when_qsqlquery_finished_is_called.patch
    - qdockwidget_undocked_notification.diff
    - docs_fixes.diff
    - postgresql_12.diff
    - uic_global_includes.diff
    - riscv.diff
  * Refresh patches:
    - gnukfreebsd.diff
    - gnukfreebsd_linker_warnings.diff
    - nonlinux_utime.diff
    - qdoc_default_incdirs.diff
  * Add libmd4c-dev as a build dependency, required for markdown support.

  [ Dmitry Shachnev ]
  * Update path to qbytearray/rfc3252.txt in Files-Excluded list.
  * Update debian/copyright using debian/scripts/update-copyright.
  * debian/scripts/update-copyright: Correctly handle repeating authors
    in the same file.
  * Update symbols files from the current build logs.
  * Build-depend on libzstd-dev.
  * Build with -no-mimetype-database, and make libqt5core5a depend on
    shared-mime-info (as suggested by upstream).
  * Add one more RFC file to Files-Excluded.
  * Add more tags files to debian/qtbase5-doc-dev.install.
  * Update to debhelper compat level 12, use the new syntax.
  * Stop passing -V to dh_makeshlibs, it is now the default behavior.
  * Manually update the non-generated part of debian/copyright.

  [ Alexander Volkov ]
  * Update install files for the new version.

  [ Helmut Grohne ]
  * qmake cross wrapper should pass QMAKE_STRIP. (Closes: #950507)

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Feb 2020 21:38:21 +0300

qtbase-opensource-src (5.12.5+dfsg-10) unstable; urgency=medium

  * Enable accessibility on Linux when org.a11y.Status IsEnabled is true.
    Thanks to Samuel Thibault (closes: #948676).
  * Backport upstream patch to fix use-after-free in GLib event dispatcher
    (closes: #953401).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 16 Apr 2020 20:05:12 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: qtbase-opensource-src-gles
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.17.14),
@@ -32,15 +31,17 @@
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
+               libkrb5-dev,
+               libmd4c-dev,
                libmtdev-dev [linux-any],
                libpcre2-dev,
                libpng-dev,
                libpq-dev,
                libproxy-dev,
                libpulse-dev,
-               libqt5core5a (>= 5.12.8+dfsg~),
-               libqt5dbus5 (>= 5.12.8+dfsg~),
-               libqt5network5 (>= 5.12.8+dfsg~),
+               libqt5core5a (>= 5.14.2+dfsg~),
+               libqt5dbus5 (>= 5.14.2+dfsg~),
+               libqt5network5 (>= 5.14.2+dfsg~),
                libsqlite3-dev,
                libssl-dev,
                libudev-dev [linux-any],
@@ -67,6 +68,8 @@
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
                libxrender-dev,
+               libzstd-dev,
+               pkg-config,
                pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
                qt5-qmake-bin <cross>,
@@ -152,7 +155,8 @@
 Conflicts: qtbase5-private-dev
 Multi-Arch: same
 Section: libdevel
-Depends: libinput-dev [linux-any],
+Depends: libfontconfig1-dev,
+         libinput-dev [linux-any],
          libxkbcommon-dev,
          qtbase5-gles-dev (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -116,6 +116,8 @@
 	            -accessibility \
 	            -no-directfb \
 	            -no-use-gold-linker \
+	            -no-mimetype-database \
+	            -no-feature-relocatable \
 	            -opengl es2 \
 	            $(extra_configure_opts) \
 	            $(cpu_opt) \
@@ -242,4 +244,3 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
-	# A user of Qt built by a distro doesn't need to find where the plugins
